package uy.edu.fing.chesstrack.modulovision.imgproc;

import org.opencv.core.Mat;
import org.opencv.imgproc.Imgproc;

import android.util.Log;

public class EcualizarImagen implements ImgProcInterface {

	private static final String TAG = "CHESSTRACK::Ecualizar";

	@Override
	public Mat procesarImagen(Mat inputFrame) {
		//List<Mat> channels = new ArrayList<Mat>();
		Mat img_hist_equalized = new Mat();

		Log.i(TAG, "processing Frame - INI");

		Imgproc.cvtColor(inputFrame, img_hist_equalized, Imgproc.COLOR_BGR2GRAY);
		Imgproc.equalizeHist(img_hist_equalized, img_hist_equalized);
		Imgproc.cvtColor(img_hist_equalized, inputFrame, Imgproc.COLOR_GRAY2BGR);

		/*// ecualizar en cada canal
		Core.split(inputFrame, channels); // split the image into channels
		//Imgproc.equalizeHist(channels.get(0), channels.get(0));
		Imgproc.equalizeHist(channels.get(1), channels.get(1));
		//Imgproc.equalizeHist(channels.get(2), channels.get(2));
		Core.merge(channels, inputFrame);
		*/

		Log.i(TAG, "processing Frame - FIN");
		return img_hist_equalized;
	}

}
